1. สมาชิก
PointUpCRM Public API
  • ภาพรวมระบบ API
  • Authentication
  • QR รับแต้มท้ายใบเสร็จ
    • สร้าง QR Code ท้ายใบเสร็จ
      POST
    • สร้างยอดซื้อจาก POS
      POST
  • สมาชิก
    • ค้นหาสมาชิกด้วยเบอร์โทร หรือคำค้นทั่วไป
      GET
    • สร้างสมาชิกใหม่ หรืออัปเดตข้อมูลถ้ามีเบอร์นี้อยู่แล้ว
      POST
    • ดูข้อมูลสมาชิกรายคนด้วย member
      GET
  • แต้ม / แสตมป์ & ประวัติ
    • ยอดแต้ม/แสตมป์คงเหลือปัจจุบันของสมาชิก
      GET
    • รายการได้/ใช้แต้มล่าสุดของสมาชิก
      GET
    • ให้แต้มจากยอดขาย
      POST
  1. สมาชิก

สร้างสมาชิกใหม่ หรืออัปเดตข้อมูลถ้ามีเบอร์นี้อยู่แล้ว

Developing
POST
/api/integrations/v1/members

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/api/integrations/v1/members' \
--header 'Content-Type: application/json' \
--data-raw '{
  "phone": "0891234567",
  "firstName": "สมชาย",
  "lastName": "ใจดี",
  "email": "[email protected]",
  "birthDate": "1995-06-01"
}'
Response Response Example
{
    "id": "a1b2c3d4-...",
    "phone": "0891234567",
    "firstName": "สมชาย",
    "balance": 0,
    "loyaltyMode": "Points"
    // ...
}
Previous
ค้นหาสมาชิกด้วยเบอร์โทร หรือคำค้นทั่วไป
Next
ดูข้อมูลสมาชิกรายคนด้วย member
Built with